org.firebirdsql.gds.ng

## Interface IServiceProperties

All Superinterfaces:
  AttachmentProperties, BaseProperties, IAttachProperties<IServiceProperties>, ServiceConnectionProperties

All Known Implementing Classes:
  FbImmutableServiceProperties, FbServiceProperties

    public interface IServiceProperties
    extends IAttachProperties<IServiceProperties>, ServiceConnectionProperties

Connection properties for a Firebird service attachment.

Since:
  3.0
Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `DEFAULT_SERVICE_NAME` Deprecated.

### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

`DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

### Method Summary

All Methods Instance Methods Abstract Methods
`IServiceProperties` `asImmutable()`
`IServiceProperties` `asNewMutable()`

### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

`getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

`getExpectedDb, getServiceName, setExpectedDb, setServiceName`

### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

`getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

`connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

### Field Detail

#### DEFAULT_SERVICE_NAME

    @Deprecated
    static final java.lang.String DEFAULT_SERVICE_NAME

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### asImmutable

    IServiceProperties asImmutable()

Specified by:
  `asImmutable` in interface `IAttachProperties<IServiceProperties>`
Returns:
  An immutable version of this instance as an implementation of `IServiceProperties`

#### asNewMutable

    IServiceProperties asNewMutable()

Specified by:
  `asNewMutable` in interface `IAttachProperties<IServiceProperties>`
Returns:
  A new, mutable, instance as an implementation of `IServiceProperties` with all properties copied.